class DataContract < Module
  def self.[](*contract_modules)
    new contract_modules
  end

  def initialize(contract_modules)
    contract_modules.each do |contract_module|
      include contract_module
    end

    mods = contract_modules
    define_method :data_contract_modules do
      return mods
    end
    private :data_contract_modules

    include DataContractsImpl
  end
end
